> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wishlist Status

> Returns the wishlist status of the provided product IDs



## OpenAPI

````yaml /api-reference/store/openapi.json post /store/customer-access-center/wishlist/status
openapi: 3.0.0
info:
  title: Store API
  description: Documentation for store API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Store
    description: Documentation for store API
  - name: Shipping Zone
    description: Documentation for store API
  - name: Shipping Zone Rates
    description: Documentation for store API
  - name: Shipping Carrier
    description: Documentation for store API
  - name: Store Setting
    description: Documentation for store API
  - name: Customer Access Center
    description: Documentation for store API
paths:
  /store/customer-access-center/wishlist/status:
    post:
      summary: Get Wishlist Status
      description: Returns the wishlist status of the provided product IDs
      operationId: get-wishlist-status
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getWishlistStatusDto'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWishlistStatusResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
components:
  schemas:
    getWishlistStatusDto:
      type: object
      properties:
        altId:
          type: string
          description: Location Id or Agency Id
          example: 6578278e879ad2646715ba9c
        altType:
          type: string
          enum:
            - location
        productIds:
          description: Array of product IDs
          example:
            - 5e8c3f5a812e52f9bd6ec577
            - 6578cead787ad8fce8adbdc8a8e8
          type: array
          items:
            type: string
        storeId:
          type: string
          example: 3SwdhCu3svxI8AKsPJt6
          description: Store Id
        contactId:
          type: string
          example: 3SwdhCu3svxI8AKsPJt6
          description: Contact id for which wishlist is required
      required:
        - altId
        - altType
        - productIds
        - storeId
        - contactId
    GetWishlistStatusResponseDto:
      type: object
      properties:
        products:
          description: Array of product IDs
          example:
            - 5e8c3f5a812e52f9bd6ec577
            - 6578cead787ad8fce8adbdc8a8e8
          type: array
          items:
            type: string
      required:
        - products
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error

````